#!/bin/bash
export LC_ALL=C
IFS=
DATABASE="$HOME/.gcin/statistic/gcin_word_count_`date +%Y%m%d_%a`"

read -r aa
echo -n $aa

touch $DATABASE
declare -i count=`cat $DATABASE`
declare -i len=` echo -n $aa | python -c "import sys;a=sys.stdin.readlines();s=unicode(a[0], \"utf-8\");print len(s)"`

let count=$count+$len

echo $count > $DATABASE
gcin-message -text "$count" -duration 2500

exit 0

